Install errors. #1

Open
rafaelfaria opened this Issue Jul 20, 2012 · 2 comments

Comments

Projects
None yet
2 participants

Hi,

I've tried to install the sitequery but got 2 erros. Can someone help me?! Thanks

info it worked if it ends with ok
spawn python [ '/Users/cardosor/.node-gyp/0.6.15/tools/gyp_addon',
'binding.gyp',
'-I/Users/cardosor/Sites/devel/nodejs/photod/node_modules/sitequery/node_modules/jsdom/node_modules/contextify/build/config.gypi',
'-f',
'make' ]

hiredis@0.1.14 preinstall /Users/cardosor/Sites/devel/nodejs/photod/node_modules/sitequery/node_modules/redis/node_modules/hiredis
make || gmake

sh: make: command not found
sh: gmake: command not found
npm WARN optional dependency failed, continuing hiredis@0.1.14
ERR! Error: not found: make
at F (/usr/local/lib/node_modules/npm/node_modules/which/which.js:43:28)
at E (/usr/local/lib/node_modules/npm/node_modules/which/which.js:46:29)
at Object.oncomplete (/usr/local/lib/node_modules/npm/node_modules/which/which.js:57:16)
ERR! not ok
npm WARN optional dependency failed, continuing contextify@0.1.3
sitequery@0.2.8 ./node_modules/sitequery
├── rx@0.0.2
├── robots@0.6.0
├── request@2.1.1
├── htmlparser2@2.1.3
├── underscore@1.3.1
├── jquery@1.6.3 (htmlparser@1.7.6)
├── redis@0.7.2
└── jsdom@0.2.15 (cssom@0.2.5, htmlparser@1.7.6)

Owner

rcastillo commented Jul 20, 2012

@rafaelfaria, it looks like there is no 'make' on your system. 'sh: make: command not found'. sitequery depends on redis which build hiredis. Are you trying to build this on Mac? What platform are you building on? - Roger

Owner

rcastillo commented Jul 26, 2012

@rafaelfaria let me know if you issue is resolved or if you need help. - Roger

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment